<?php
/***************************************\
|			PHP OPTIMISATEUR			|
|			  Version 1.3.a				|
\***************************************/

session_start();
set_time_limit(7200);

$APPversion = '1.3';
$TIME_START = microtime(true);
$ERRORS = array();
$CONF = array();
$PAGE_CONTENT = array(0=>null,1=>null,2=>null);

include('include/functions.php');
$PAGE = (isset($_GET['page'])) ? $_GET['page'] : 'home';



### CONFIGURATION ###
if (!file_exists('config.xml')) {
	$ERRORS['fatal']['ErrorConfigFile'] = true;
} else {
	$CONF = load_config('config.xml');
}

if (!file_exists('include/nconvert.exe')) {
	$ERRORS['fatal']['ErrorNconvert'] = true;
}



### HEADER ###
$CONF = array_merge($CONF, GetLanguage());
include('language/'.$CONF['user_lang'].'/'.$CONF['user_lang'].'.php');
include('include/header.php');



### PROCESSUS ###
if ($PAGE == 'home') {
	if (!isset($ERRORS['fatal'])) {
		if (!file_exists($CONF['DIRsource'])) {
			mkdir($CONF['DIRsource']);
		}
		if (!file_exists($CONF['DIRsortie'])) {
			mkdir($CONF['DIRsortie']);
		}
		if (is_dir_empty($CONF['DIRsource'])) {
			$ERRORS['ErrorFolderIn'] = 'fatal';
		}
		if ($CONF['silentORNOT'] == 'block' AND !is_dir_empty($CONF['DIRsortie'])) {
			$ERRORS['fatal']['ErrorFolderOut'] = true;
		} else if ($CONF['silentORNOT'] == 'erase' AND !is_dir_empty($CONF['DIRsortie'])) {
			$ERRORS['notice']['EraseFolderOut'] = true;
		}
	}
	
} else if ($PAGE == 'setup') {
	if (isset($_GET['ErrorConfig'])) {
		$ERRORS['notice']['ErrorConfig'] = true;
	}
	if (isset($_POST['DIRsource'])) {
		include('include/save_config.php');
	}
	
} else if ($PAGE = 'process') {
	include('include/main.php');
}



### ERREURS ###
if (isset($ERRORS['fatal'])) {
	$PAGE_CONTENT[1] .= '<div class="generic error">';
		foreach ($ERRORS['fatal'] as $key => $i) {
			$PAGE_CONTENT[1] .= '<div>'.l10n('fatal.'.$key).'</div>';
		}
	$PAGE_CONTENT[1] .= '</div>';
}
if (isset($ERRORS['notice'])) {
	$PAGE_CONTENT[1] .= '<div class="generic notice">';
		foreach ($ERRORS['notice'] as $key => $i) {
			$PAGE_CONTENT[1] .= '<div>'.l10n('notice.'.$key).'</div>';
		}
	$PAGE_CONTENT[1] .= '</div>';
}



### AFFICHAGE ###
if ($PAGE == 'home') {
	if (isset($ERRORS['fatal'])) {
		$PAGE_CONTENT[2] .= '
		<div class="generic link">
			<a class="input-submit" href="index.php">'.l10n('Back').'</a>
			<a class="input-submit" href="index.php?page=setup">'.l10n('Config').'</a>
		</div>';

	} else {
		include('include/display_config.php');
		
		$PAGE_CONTENT[2] .= '
		<div class="generic finish">
			<span id="ready-text">'.l10n('Ready').'</span>
			<span id="loader"><img src="template/favicon.png" alt="PHP OPT"/></span>
		</div>
		<div class="generic link">
			<a class="input-submit" href="index.php?page=process" onclick="Load();">'.l10n('Launch').'</a>
			<a class="input-submit" href="index.php?page=setup">'.l10n('Config').'</a>
		</div>';
	}
	
} else if ($PAGE == 'setup') {
	if (isset($ERRORS['fatal'])) {
		$PAGE_CONTENT[2] .= '<div class="generic link"><a class="input-submit" href="index.php">'.l10n('Back').'</a></div>';

	} else {
		include('include/setup.php');
	}
	
} else if ($PAGE = 'process') {
	### Affichage des fichiers traits ###
	$PAGE_CONTENT[0] .= '
	<div class="generic files">
		<h2>'.l10n('Source files').'</h2>
		<ul>';
			foreach ($FilesSource as $value) {
				$PAGE_CONTENT[0] .= '<li>'.$value.'</li>';
			}
		$PAGE_CONTENT[0] .= '</ul>
		<i>'.l10n('%d files', count($FilesSource)).'</i>
	</div>';

	unset($FilesSource);
	unset($FilesSortie);
	
	$PAGE_CONTENT[2] .= '
	<div class="generic finish">'.l10n('Finish %d seconds', intval((microtime(true)-$TIME_START))).'</div>
	<div class="generic link">
		<a class="input-submit" href="index.php">'.l10n('Back').'</a>
		<a class="input-submit" href="index.php?page=setup">'.l10n('Config').'</a>
	</div>';
}


### FIN ###
echo $PAGE_CONTENT[0];
echo $PAGE_CONTENT[1];
echo $PAGE_CONTENT[2];

echo '
<div class="generic footer">
	2010/2011 - <a href="http://www.strangeplanet.fr">Damien Sorel</a> - <a href="http://fr.piwigo.org/forum/viewtopic.php?id=19117">Forum</a> - <a href="http://fr.piwigo.org/doc/doku.php?id=tools:php_o">Documentation</a>
</div>

</body>
</html>';
?>